> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reachedapp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Campaigns

> Returns a paginated list of all campaigns in your workspace.

# List Campaigns

Returns a paginated list of all campaigns in your workspace.

## Request

`GET /v1/campaigns`

### Query Parameters

| Parameter | Type | Required | Description |
| - | - | - | - |
| `page` | integer | No | Page number (default: 1) |
| `per_page` | integer | No | Results per page, max 100 (default: 25) |
| `status` | string | No | Filter by status (`draft`, `active`, `paused`, `archived`) |

## Example

```bash cURL theme={null}
curl -X GET \
  "https://kdjmltmhxvvmiuehafgl.supabase.co/functions/v1/api-gateway/v1/campaigns?status=active" \
  -H "Authorization: Bearer rchd_live_xxxxxxxxxxxx"
```

```javascript JavaScript theme={null}
const response = await fetch(
  "https://kdjmltmhxvvmiuehafgl.supabase.co/functions/v1/api-gateway/v1/campaigns?status=active",
  {
    headers: {
      "Authorization": "Bearer rchd_live_xxxxxxxxxxxx"
    }
  }
);
const { data, meta } = await response.json();
```

```python Python theme={null}
import requests

response = requests.get(
    "https://kdjmltmhxvvmiuehafgl.supabase.co/functions/v1/api-gateway/v1/campaigns",
    headers={"Authorization": "Bearer rchd_live_xxxxxxxxxxxx"},
    params={"status": "active"}
)
result = response.json()
```

## Response

```json theme={null}
{
  "data": [
    {
      "id": "c1d2e3f4-...",
      "name": "Q1 Outbound France",
      "status": "active",
      "parallel_calls": 3,
      "created_at": "2026-03-01T09:00:00.000Z"
    }
  ],
  "meta": {
    "page": 1,
    "per_page": 25,
    "total": 1
  }
}
```

### Response Fields

| Field | Type | Description |
| - | - | - |
| `id` | uuid | Campaign unique identifier |
| `name` | string | Campaign name |
| `status` | string | Current status (`draft`, `active`, `paused`, `archived`) |
| `parallel_calls` | integer | Number of parallel calls configured |
| `created_at` | datetime | Creation timestamp |


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.